<!-- $Id: $ -->
<project name="all" xmlns:ivy="antlib:org.apache.ivy.ant">
         
  <target name="buildlist"> 
    <ivy:buildlist reference="build-path">
      <fileset dir="." includes="**/build.xml" excludes="build.xml"/>
    </ivy:buildlist>
  </target>
  
  <target name="publish-all" depends="buildlist">
    <subant target="publish" buildpathref="build-path"/>
  </target>

  <target name="clean-all" depends="buildlist">
    <delete dir="ivy/build"/>
    <subant target="clean" buildpathref="build-path" />
  </target>
</project>
